FBX SDK 2011 crashing



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 13/01/2011 at 10:16, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R10+ 
    Platform:   Windows  ; Mac  ;  Mac OSX  ; 
    Language(s) :     C++  ;

    ---------
    Howdy,

    Are there any known compatibility issues with Cinema 4D SDK and the FBX SDK 2011 that will cause crashes? I've been using FBX SDK 2010 without any issues in my plugin, but when I switched to 2011 it crashes.

    The only thing I changed in the project were the paths to the FBX SDK headers and libraries, from the 2010 locations to the 2011 locations. Then I went through and updated the FBX function calls to be compatible with the changes in the FBX SDK. It compiles and links fine and the plugin installs fine, but calling my export or import command crashes Cinema 4D.

    Adios,
    Cactus Dan



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 13/01/2011 at 11:28, xxxxxxxx wrote:

    Originally posted by xxxxxxxx

    <ADDRESS>
    User Information:
    Cinema 4D Version:   R10+ 
    Platform:   Windows  ; Mac  ; 
    Mac OSX  ; 
    Language(s) :    
    C++  ;

    ---------
    </ADDRESS> Howdy,
    Are there any known compatibility issues with Cinema 4D SDK and the FBX SDK 2011 that will cause crashes? I've been using FBX SDK 2010 without any issues in my plugin, but when I switched to 2011 it crashes.
    The only thing I changed in the project were the paths to the FBX SDK headers and libraries, from the 2010 locations to the 2011 locations. Then I went through and updated the FBX function calls to be compatible with the changes in the FBX SDK. It compiles and links fine and the plugin installs fine, but calling my export or import command crashes Cinema 4D.
    Adios,
    Cactus Dan

    Yes there seem to be several problems in the latest FBX 2011 SDK (updates); e.g crashes in their triangulate code, crashes when loading files from older SDK versions, etc. ...

    Best regards,

    Wilfried Behne



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 13/01/2011 at 11:35, xxxxxxxx wrote:

    Howdy,

    Ah, OK. Well then, I reckon I'll switch back to 2010 which seems to be working fine.

    Thanks for the info, Wilfried. Wink

    Adios,
    Cactus Dan


Log in to reply